Subject: [Megaco] terminationstate descriptor in ADD command

From: "Irshad Bukhari" <[email-masked]>
Date: Tue, 15 Mar 2005 14:40:08 +0530

Hi all,

I am new to megaco protocol. I am using a existing stack. I am sending a message as given below to the stack & receiving back reply . But when i add termination state descriptor as given below, The stack produced error as Error=401{"Syntax Error: Line 6, Column 2"}
TerminationState {
ServiceStates = InService
},

so am i wrong by adding a terminationstate descriptor in ADD command. Basically i want add new package properties.

Thanks,
Irshad

PS:
----------------------------------
MEGACO/1 [192.168.5.13]:7777 Transaction = 1000 {
Context = $ {
Add = RTP/$ {
Media {
Stream = 1 {
LocalControl {
Mode = Inactive,
ReservedValue = OFF,
ReservedGroup = OFF
},
Local {
v=0
o=12345678995 0 0 IN IP4 $
s=PoC-Call
c=IN IP4 $
t=0 0
m=audio $ RTP/AVT 97
a=rtpmap:97 AMR/8000/1
a=fmtp:97 mode-set=0,1,2
a=fmtp:97 octet-align=1
a=ptime:160
a=maxptime:400
},
Remote {
v=0
o=12345678995 0 0 IN IP4 192.168.5.13
s=PoC-Call
c=IN IP4 192.168.5.13
t=0 0
m=audio 7002 RTP/AVT 97
a=rtpmap:97 AMR/8000/1
a=fmtp:97 mode-set=0,1,2
a=fmtp:97 octet-align=1
a=ptime:160
a=maxptime:400
}
}
}
},
Add = RTP/$ {
Media {
Stream = 1 {
LocalControl {
Mode = Inactive ,
ReservedValue = OFF,
ReservedGroup = OFF
},
Local {
v=0
o=12345678995 0 0 IN IP4 $
s=PoC-Call
c=IN IP4 $
t=0 0
m=audio $ RTP/AVT 97
a=rtpmap:97 AMR/8000/1
a=fmtp:97 mode-set=0,1,2
a=fmtp:97 octet-align=1
a=ptime:160
a=maxptime:400
}
}
}
}
}
}

-----------------
MEGACO/1 [192.168.5.13]:6666
Reply=1000{
        Context=1{
                Add=RTP/1,
                Add=RTP/2
        }
}

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco